[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: don't fail maintainance if there is nothing to clean up
Holger Levsen
holger at moszumanska.debian.org
Tue May 5 10:32:11 UTC 2015
This is an automated email from the git hooks/post-receive script.
holger pushed a commit to branch master
in repository jenkins.debian.net.
commit 034747b1e7f1e154619f9034111d64cdf02ca869
Author: Holger Levsen <holger at layer-acht.org>
Date: Tue May 5 12:32:05 2015 +0200
reproducible: don't fail maintainance if there is nothing to clean up
---
bin/reproducible_maintenance.sh | 2 +-
logparse/reproducible.rules | 1 +
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 93afa3f..aa17ead 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -167,7 +167,7 @@ if grep -q '|' $PACKAGES ; then
WHERE name='$PKGNAME' AND suite='$SUITE' AND architecture='$ARCH'"
sqlite3 -init $INIT ${PACKAGES_DB} "$QUERY"
cd $BASE
- find rb-pkg/$SUITE/$ARCH rbuild/$SUITE/$ARCH dbd/$SUITE/$ARCH buildinfo/$SUITE/$ARCH -name "${PKGNAME}_*" | xargs rm -v
+ find rb-pkg/$SUITE/$ARCH rbuild/$SUITE/$ARCH dbd/$SUITE/$ARCH buildinfo/$SUITE/$ARCH -name "${PKGNAME}_*" | xargs -r rm -v || echo "Warning: couldn't delete old files from ${PKGNAME} in $SUITE/$ARCH"
done
cd - > /dev/null
fi
diff --git a/logparse/reproducible.rules b/logparse/reproducible.rules
index 9813f00..a5094a4 100644
--- a/logparse/reproducible.rules
+++ b/logparse/reproducible.rules
@@ -17,3 +17,4 @@ warning /Warning: cannot update html pages for.+/
warning /Warning: package .+is probably already building elsewhere, exiting./
warning /Warning: too much difference for .+, aborting. Please investigate and update manually./
warning /Warning: This query produces no results:.+/
+warning /Warning: couldn't delete old files from.+/
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git
More information about the Qa-jenkins-scm
mailing list